<?php
$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] ?: array()) + array("_1044ad6ec3f2b15d20a3b7353cfb4d0" . "2" => base64_decode("U0VMRUNUIENPVU5UKCopIEZST00gcmJfb2JqIFdIRVJFIHBpZD1pbn" . "Q6aWQ="), "_2acee84482629451244aab96a0" . "1623cd" => base64_decode("cm" . "9v" . "bQ" . "=="), "_934da0e4d27867b726" . "05f2f2a82ddad0" => base64_decode("KGludDppZD" . "EsIHN0cjpr" . "ZXksIGludD" . "ppZDIsIDAp"), "_8695e37b2f8" . "e63ab89c4690" . "8290193ec" => base64_decode("c2VsZWN0IHJiX2xpbmtzLm9ial9pZCBmcm9tIHJiX2xpbmtzLCByYl9vYmogd2hlcmUgcmJfbGlua3MudmFsPWludDppZCBhbmQgcmJfb2JqLnR5cGU9J2ZhYycgYW5kIHJiX29iai5pc19zdXNwZW5kZWQ9MCBhbmQgcmJfbGlua3Mub2JqX2lkPXJiX29iai5pZCBhbmQgcmJfbGlua3" . "MuYm9va2luZz1pbnQ6Ym9va2luZw=="), "_f318226b856b8a65f1826" . "300a281617b" => base64_decode("REVMRVRFIEZST00gcmJfbGlua3MgV0hFUkUgdmFsPWludDppZCBB" . "TkQgdHlwZT0ncm9vbScgQU5EIGJvb2tpbmc9aW50OmJvb2tpbmc="), "_e98bb44779e2719d990" . "b12523648e307" => base64_decode("U0VMRUNUIGlkIEZST00gcmJfZXZlbnRzIFdIRVJFIHBpZCA9IC0xIEFOR" . "CByb29tX2lkID0gaW50Omlk"), "_5b81cb6cf" . "0bfd990583" . "fc12ddd80c" . "d32" => base64_decode("Zm" . "Fj"), "_b3a356a0e2582249702c68be98871" . "58b" => base64_decode("KGludDppZDEsICdyb29" . "tJywgaW50OmlkMiwgMC" . "k="));
class RBRoom extends RBMainClass
{
    public function __construct($_876ca2097b275e704d71e00d36b3e7c5, $name = 'EmptyName')
    {
        parent::__construct($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_2acee844826294512" . "44aab96a01623cd"], $_876ca2097b275e704d71e00d36b3e7c5, $name);
    }
    public function Load($id)
    {
        parent::Load($id);
        $this->_loadFacilities();
    }
    protected function _loadFacilities()
    {
        global $db;
        $query = $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_8695e37b2f8e63ab8" . "9c46908290193ec"];
        $_189840d11056515e52402d1412a0b6e4 = $db->query($query, $this->id, $this->booking);
        while (list($id) = $_189840d11056515e52402d1412a0b6e4->fetchRow()) {
            $this->AddObj($id, $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_5b81cb6cf0bfd990583fc1" . "2ddd80cd32"]);
        }
    }
    protected function _createObjInsertString($key, $id)
    {
        if ($key == $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_5b81cb6cf0bfd990583fc12ddd80c" . "d32"]) {
            return new QueryPart($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_b3a356a0e2582" . "249702c68be988" . "7158b"], $id, $this->id);
        }
        return new QueryPart($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_934da0e4d" . "27867b7260" . "5f2f2a82dd" . "ad0"], $this->id, $key, $id);
    }
    protected function _updateObjList()
    {
        global $db;
        $db->query($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_f318226b856b8a65f182630" . "0a281617b"], $this->id, $this->booking);
        parent::_updateObjList();
    }
    function Delete($_ef6f2587bed6ce140025395807730533 = false)
    {
        global $db;
        $_343a395319323dd7609bcbc465b4d034 = $db->query($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_e98bb44779e2719d9" . "90b12523648e307"], $this->id)->fetchAllValues();
        foreach ((array) $_343a395319323dd7609bcbc465b4d034 as $id) {
            $this->_facade->DeleteEvent($id);
        }
        parent::Delete();
    }
    public function isEmpty()
    {
        global $db;
        list($_f53d35a1a1e233d98d9ce73d92ab3bb1) = $db->query_row($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_1044ad6ec3f2b15d20a3b7353cfb4d0" . "2"], $this->id);
        return $_f53d35a1a1e233d98d9ce73d92ab3bb1 < 1;
    }
}